package de.ivu.elect.business.email.control;

import de.ivu.elect.business.email.entity.EmailLayout;
import de.ivu.elect.business.email.entity.EmailLayoutVerwendungType;

public class EmailLayoutCreate extends AbstractEmailLayoutCreate {

  public EmailLayoutCreate() {
    super();
  }

  @Override
  public void save(EmailLayout entity) {
    if (entity.getVerwendungTyp().isExklusiv()) {
      dao.updateVerwendungTypWhereBezeichnungNot(entity.getBezeichnung(), EmailLayoutVerwendungType.NICHT_VORAUSGEWAEHLT);
    }

    super.save(entity);
  }
}
